Skip to main content
GET
/
v2
/
teams
/
{teamId}
/
integrations
List Integrations
curl --request GET \
  --url https://api.duvo.ai/v2/teams/{teamId}/integrations \
  --header 'Authorization: Bearer <token>'
{
  "integrations": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "provider": "<string>",
      "user_id": "<string>",
      "team_id": "<string>",
      "composio_mcp_id": null,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "server_url": "<string>",
      "auth_method": "<string>",
      "custom_integration_id": "<string>",
      "icon_url": "<string>",
      "oauth_provider": "<string>",
      "oauth_provider_key": "<string>",
      "oauth_scopes": [
        "<string>"
      ],
      "has_headers": true,
      "has_oauth_tokens": true,
      "integration_id": "<string>",
      "shared": true,
      "created_by": "<string>"
    }
  ],
  "total": 4503599627370495,
  "limit": 4503599627370496,
  "offset": 4503599627370495
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

teamId
string
required

Query Parameters

type
string
limit
integer
default:100
Required range: 1 <= x <= 100
offset
integer
Required range: 0 <= x <= 9007199254740991

Response

Default Response

integrations
object[]
required
total
integer
required
Required range: 0 <= x <= 9007199254740991
limit
integer
required
Required range: 1 <= x <= 9007199254740991
offset
integer
required
Required range: 0 <= x <= 9007199254740991